Uploaded image for project: 'Maven Dependency Plugin'
  1. Maven Dependency Plugin
  2. MDEP-526

copy and copy-dependencies should take latest release version from version range

    XMLWordPrintableJSON

    Details

      Description

      In my pom, I have specified version range in properties like:
      <model.base.test.version>[1.3.16, 1.4.0-SNAPSHOT)</model.base.test.version>

      Currently copy and copy-dependency goals will copy latest SNAPSHOT jar to specified output directory.

      My requirement is to have have a configuration which allows to copy latest released jar from the specified version range.

      I checked out source code for maven-dependency-plugin and did some modification to make it work. So if this improvement is accepted then how can I contribute to the solution I have.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              abhsinh2 abhishek sinha
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: